const express = require('express');
const AsistenciaController = require('../controllers/asistencia');
const md_auth = require('../middleware/authenticated');
const api = express.Router();

api.post('/registrarAsistencia',  md_auth.ensureAuth, AsistenciaController.registrarAsistencia);
api.post('/verificarContrasenia', md_auth.ensureAuth, AsistenciaController.verificarContrasenia);
api.post('/obtenerAsistencias/:idUsuario', md_auth.ensureAuth, AsistenciaController.obtenerAsistencias);
api.post('/contarTotalAsistencias/:idUsuario', md_auth.ensureAuth, AsistenciaController.contarTotalAsistencias);
api.get('/obtenerMarcaciones/:idUsuario', md_auth.ensureAuth, AsistenciaController.obtenerMarcaciones);
api.get('/obtenerIPPublica', md_auth.ensureAuth, AsistenciaController.obtenerIPPublica);
api.post('/obtenerReporteMarcaciones', md_auth.ensureAuth, AsistenciaController.obtenerReporteMarcaciones);
api.post('/contarTotalMarcacionesReporte', md_auth.ensureAuth, AsistenciaController.contarTotalMarcacionesReporte);
api.post('/obtenerReporteAgrupado', md_auth.ensureAuth, AsistenciaController.obtenerReporteAgrupado);
api.post('/contarTotalReporteAgrupado', md_auth.ensureAuth, AsistenciaController.contarTotalReporteAgrupado);

module.exports = api;